package com.bonus.sgzb.material.domain;

import com.bonus.sgzb.common.core.annotation.Excel;
import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 二维码管理bm_qrcode_info对象 bm_qrcode_info
 * 
 * @author bonus
 * @date 2023-12-15
 */
public class BmQrcodeInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 二维码ID */
    private Long qrId;

    /** 二维码 */
    @Excel(name = "二维码")
    private String qrCode;

    /** 类型ID */
    @Excel(name = "类型ID")
    private Long typeId;

    /** 二维码类型 */
    @Excel(name = "二维码类型")
    private String qrType;

    /** 任务ID */
    @Excel(name = "任务ID")
    private Long taskId;

    /** 数据所属组织 */
    @Excel(name = "数据所属组织")
    private Long companyId;

    public void setQrId(Long qrId) 
    {
        this.qrId = qrId;
    }

    public Long getQrId() 
    {
        return qrId;
    }
    public void setQrCode(String qrCode) 
    {
        this.qrCode = qrCode;
    }

    public String getQrCode() 
    {
        return qrCode;
    }
    public void setTypeId(Long typeId) 
    {
        this.typeId = typeId;
    }

    public Long getTypeId() 
    {
        return typeId;
    }
    public void setQrType(String qrType) 
    {
        this.qrType = qrType;
    }

    public String getQrType() 
    {
        return qrType;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("qrId", getQrId())
            .append("qrCode", getQrCode())
            .append("typeId", getTypeId())
            .append("qrType", getQrType())
            .append("taskId", getTaskId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("companyId", getCompanyId())
            .toString();
    }
}
